Subject: [quicwg/base-drafts] e84650: make transport parameters varint

From: Jana Iyengar <[email-masked]>
Date: Thu, 27 Feb 2020 17:20:49 -0800

Branch: refs/heads/ianswett-send-one-packet
  Home:   https://github.com/quicwg/base-drafts
  Commit: e846500ce2ee4a6d78b2ab54c2dc9a2dc0d43c9b
      https://github.com/quicwg/base-drafts/commit/e846500ce2ee4a6d78b2ab54c2dc9a2dc0d43c9b
  Author: David Schinazi <[email-masked]>
  Date:   2019-10-29 (Tue, 29 Oct 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  make transport parameters varint

  Commit: 6f9f8d7ffca4eed3373bb9f64261f85fd5f76b1a
      https://github.com/quicwg/base-drafts/commit/6f9f8d7ffca4eed3373bb9f64261f85fd5f76b1a
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-09 (Mon, 09 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Curtail CONNECTION_CLOSE for small Initial

This is trickier than I had imagined.  Sending CONNECTION_CLOSE is
probably fine, but it's harder to do this correctly now.  You can't just
send an unauthenticated CONNECTION_CLOSE because that might disrupt a
real connection.  So there are two goals in tension:

1. Don't kill an active connection (attempt) unnecessarily.

2. Provide feedback about errors.

The observation is that an attacker can disrupt connections by eliciting
a CONNECTION_CLOSE, so feedback naturally leads to an exposure to a DoS
attack.  That's unfortunate, but we have established that we don't care
about DoS by an on-path attacker prior to handshake completion.
Anything we do here has got to be best effort.

DoS prevention would say that you just discard junk, and that is
probably the right answer.  But we have a number of cases where the
robustness of the system depends on getting feedback.

Either way, we agreed to allow CONNECTION_CLOSE in Initial, so the
exposure exists anyway.  So this contains advice.  Maybe too much
advice, but I thought that I'd see what people thought.

Closes #3269.

  Commit: ffa7f98abc53f92a0e98fe927e65cea492736e4c
      https://github.com/quicwg/base-drafts/commit/ffa7f98abc53f92a0e98fe927e65cea492736e4c
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-10 (Tue, 10 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add point about off-path packets to handshake DoS section

  Commit: 173d00664bd9c547cd042401621e80bed802e7dc
      https://github.com/quicwg/base-drafts/commit/173d00664bd9c547cd042401621e80bed802e7dc
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-10 (Tue, 10 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Reword

  Commit: 6bc3d4ad61c2c11baf7183488613e9fcc5dff1cb
      https://github.com/quicwg/base-drafts/commit/6bc3d4ad61c2c11baf7183488613e9fcc5dff1cb
  Author: David Schinazi <[email-masked]>
  Date:   2019-12-09 (Mon, 09 Dec 2019)

  Changed paths:
    M .circleci/config.yml
    M CONTRIBUTING.md
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M initial-protection.js

  Log Message:
  -----------
  Merge branch 'master' into varinttp

  Commit: a2f06723986f303023c8fcfc8bd9c3a5ddb5368c
      https://github.com/quicwg/base-drafts/commit/a2f06723986f303023c8fcfc8bd9c3a5ddb5368c
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-10 (Tue, 10 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Does this help?

  Commit: e99cd67f95601f37b2b6930f28693b7d3a1044aa
      https://github.com/quicwg/base-drafts/commit/e99cd67f95601f37b2b6930f28693b7d3a1044aa
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-11 (Wed, 11 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md
    A metadata.min.js

  Log Message:
  -----------
  Merge branch 'master' into close-small-initial

  Commit: f302f3ec69913684ce35c61df7fb0fd9a461e3bf
      https://github.com/quicwg/base-drafts/commit/f302f3ec69913684ce35c61df7fb0fd9a461e3bf
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-11 (Wed, 11 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Stateless immediate close

This says that immediate close when you don't have state doesn't have to
establish state.  Thus, if an endpoint has to immediately close, which
can do so without entering the closing period, which would establish
state.  It makes a general statement, which is that during the handshake
- that is, for unauthenticated inputs - packets can be discarded rather
than causing an immediate close.

This greatly simplifies the text for a small initial.  Now it only needs
to say "MUST discard, MAY immediate close as well".

  Commit: 7864bda6e4dd98d9e033ce49be4350d849b7f361
      https://github.com/quicwg/base-drafts/commit/7864bda6e4dd98d9e033ce49be4350d849b7f361
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-11 (Wed, 11 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Rewording suggestions

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 47228989491e2cdf3606c5d9745c43fb8aac2afd
      https://github.com/quicwg/base-drafts/commit/47228989491e2cdf3606c5d9745c43fb8aac2afd
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-11 (Wed, 11 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Rewrap

  Commit: 6971443498f64d31ec7bebeadfe2215e21c4b19a
      https://github.com/quicwg/base-drafts/commit/6971443498f64d31ec7bebeadfe2215e21c4b19a
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-11 (Wed, 11 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Refer to fields properly

  Commit: 94754815fe5d11140f77cebe979ff954e8598574
      https://github.com/quicwg/base-drafts/commit/94754815fe5d11140f77cebe979ff954e8598574
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-13 (Fri, 13 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  add note on pacing and editorialze

  Commit: bb2988130cf981e813f5378b9f908c3b09f134ca
      https://github.com/quicwg/base-drafts/commit/bb2988130cf981e813f5378b9f908c3b09f134ca
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-14 (Sat, 14 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  remove pacing recommendation

  Commit: 6bea25dc982beacbecf4576ff2945a8e89ede4f7
      https://github.com/quicwg/base-drafts/commit/6bea25dc982beacbecf4576ff2945a8e89ede4f7
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-16 (Mon, 16 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  add a reference to sec 6.9 without recommendation

  Commit: b361a8bef74a08a3f29392432648d3450a028037
      https://github.com/quicwg/base-drafts/commit/b361a8bef74a08a3f29392432648d3450a028037
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-17 (Tue, 17 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Ian's suggestions

  Commit: 957a750bc54c397cacd65040f07710cd051d596f
      https://github.com/quicwg/base-drafts/commit/957a750bc54c397cacd65040f07710cd051d596f
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-17 (Tue, 17 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Allow use of token after client address change

  Commit: 906c77f51c88d60d0de9f98fed0b9591192923ad
      https://github.com/quicwg/base-drafts/commit/906c77f51c88d60d0de9f98fed0b9591192923ad
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-18 (Wed, 18 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  rephrase and slight shuffle

  Commit: d626db6f961f3e5a48b6e4891ff5fa1af2827fec
      https://github.com/quicwg/base-drafts/commit/d626db6f961f3e5a48b6e4891ff5fa1af2827fec
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-19 (Thu, 19 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Ian's suggestions

  Commit: 7eb5435a066a77c57e9426eb609e77e025b6fb9a
      https://github.com/quicwg/base-drafts/commit/7eb5435a066a77c57e9426eb609e77e025b6fb9a
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Specify the PATH_CHALLENGE timer period

Fixes #2910

  Commit: 8145a5340f4f1ec77a53f6da86b55c50c8ecc985
      https://github.com/quicwg/base-drafts/commit/8145a5340f4f1ec77a53f6da86b55c50c8ecc985
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: a3b04ed64cda65cf4c8d7b9264e50929745c5fc2
      https://github.com/quicwg/base-drafts/commit/a3b04ed64cda65cf4c8d7b9264e50929745c5fc2
  Author: ianswett <[email-masked]>
  Date:   2020-01-14 (Tue, 14 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 4a0726914b5e71cc348d321cad2e83f6df50a326
      https://github.com/quicwg/base-drafts/commit/4a0726914b5e71cc348d321cad2e83f6df50a326
  Author: ianswett <[email-masked]>
  Date:   2020-01-17 (Fri, 17 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 822ffd1eebba715f69567ffb5a963c9efba129cc
      https://github.com/quicwg/base-drafts/commit/822ffd1eebba715f69567ffb5a963c9efba129cc
  Author: ianswett <[email-masked]>
  Date:   2020-01-17 (Fri, 17 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 960c980f8e64b4eb9d63b51078024f1e81f6ca5a
      https://github.com/quicwg/base-drafts/commit/960c980f8e64b4eb9d63b51078024f1e81f6ca5a
  Author: ianswett <[email-masked]>
  Date:   2020-01-17 (Fri, 17 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Ack delays are adjusted by ack_delay_exponent

Fixes #3355

  Commit: b215bd3ad1d3138504559c58f54a3da895ccc679
      https://github.com/quicwg/base-drafts/commit/b215bd3ad1d3138504559c58f54a3da895ccc679
  Author: ianswett <[email-masked]>
  Date:   2020-01-20 (Mon, 20 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  adjusted?

  Commit: df34dc8c55d83997e9eeb942eb489ddf12a5e32e
      https://github.com/quicwg/base-drafts/commit/df34dc8c55d83997e9eeb942eb489ddf12a5e32e
  Author: ianswett <[email-masked]>
  Date:   2020-01-20 (Mon, 20 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Reference 19.3 of transport

  Commit: d0d15f8b3acdc5ecb0153ff7eb4333ed0c3992e9
      https://github.com/quicwg/base-drafts/commit/d0d15f8b3acdc5ecb0153ff7eb4333ed0c3992e9
  Author: Will Hawkins <[email-masked]>
  Date:   2020-02-03 (Mon, 03 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix #3405: Specify that active_connection_id_limit TP is an integer

  Commit: 881369f834fca559ffd2b57e6dfde74de83e638f
      https://github.com/quicwg/base-drafts/commit/881369f834fca559ffd2b57e6dfde74de83e638f
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-04 (Tue, 04 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Redefine recovery period

Closes #3409.

  Commit: 9876208d33d68d923d31699b7a5e54e32bf321f1
      https://github.com/quicwg/base-drafts/commit/9876208d33d68d923d31699b7a5e54e32bf321f1
  Author: David Schinazi <[email-masked]>
  Date:   2020-02-05 (Wed, 05 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    R initial-protection.js
    A protection-samples.js

  Log Message:
  -----------
  Merge branch 'master' into varinttp

  Commit: 6ab9bab55bb3247e5f8938fd908578f9ef13187e
      https://github.com/quicwg/base-drafts/commit/6ab9bab55bb3247e5f8938fd908578f9ef13187e
  Author: David Schinazi <[email-masked]>
  Date:   2020-02-05 (Wed, 05 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  revert preferred_address change

  Commit: ce9a03f47093c1196d24e53f5d3eb62645f1e435
      https://github.com/quicwg/base-drafts/commit/ce9a03f47093c1196d24e53f5d3eb62645f1e435
  Author: Mike Bishop <[email-masked]>
  Date:   2020-02-05 (Wed, 05 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Extension dragons

  Commit: 2af27a157234152c1b19d68ea827b5cfd31901bc
      https://github.com/quicwg/base-drafts/commit/2af27a157234152c1b19d68ea827b5cfd31901bc
  Author: Mike Bishop <[email-masked]>
  Date:   2020-02-05 (Wed, 05 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Not just frames

  Commit: 93bb69a13bdd015dcd30402921b3670b0622efd0
      https://github.com/quicwg/base-drafts/commit/93bb69a13bdd015dcd30402921b3670b0622efd0
  Author: ianswett <[email-masked]>
  Date:   2020-02-05 (Wed, 05 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Point out that the payload size could decrease

And this could make retransmitting frames complex.

  Commit: 14837e6e26ee52b4e222d8614878601bec97b1fd
      https://github.com/quicwg/base-drafts/commit/14837e6e26ee52b4e222d8614878601bec97b1fd
  Author: ianswett <[email-masked]>
  Date:   2020-02-05 (Wed, 05 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 7d0e132f8bc9faee4563cad25fbb198c2cc85508
      https://github.com/quicwg/base-drafts/commit/7d0e132f8bc9faee4563cad25fbb198c2cc85508
  Author: ianswett <[email-masked]>
  Date:   2020-02-05 (Wed, 05 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 92fda61c7efec9753fc8d003593aebec2c8776e6
      https://github.com/quicwg/base-drafts/commit/92fda61c7efec9753fc8d003593aebec2c8776e6
  Author: ianswett <[email-masked]>
  Date:   2020-02-07 (Fri, 07 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Jana's suggestion

  Commit: 751594facf17165a71910158d39c5fce59d6ee34
      https://github.com/quicwg/base-drafts/commit/751594facf17165a71910158d39c5fce59d6ee34
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Remove "Ignoring Loss of Undecryptable Packets"

Now that QUIC has separate packet number spaces, it's impossible to declare a packet lost without the relevant keys being present at both peers, because an ACK needs to be sent by one and processed by the other.

So this text is OBE and potentially confusing.

  Commit: a26b50e600ebc51a4903df50182eca73c8610e26
      https://github.com/quicwg/base-drafts/commit/a26b50e600ebc51a4903df50182eca73c8610e26
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3339 from quicwg/ianswett-path-challenge-timer

Specify the PATH_CHALLENGE timer period

  Commit: f247379b14f50465adc7c992a7db5853430686c8
      https://github.com/quicwg/base-drafts/commit/f247379b14f50465adc7c992a7db5853430686c8
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Idle timeout editorial fixes

>From @janaiyengar and @MikeBishop comments on #3099 

Fixes #3184

  Commit: 8c52fd83cb5a0228dd696e45f556617e8156036f
      https://github.com/quicwg/base-drafts/commit/8c52fd83cb5a0228dd696e45f556617e8156036f
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Clarify client anti-amplification response

Clarifies why a client might send a Handshake packet, as well as generally tries to improve the anti-deadlock text.

Fixes #2598

  Commit: 6138a07267ab9a28d00eaec8f3699cf60a6dc7fe
      https://github.com/quicwg/base-drafts/commit/6138a07267ab9a28d00eaec8f3699cf60a6dc7fe
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 2793b5c477c8ef4672c5d056510d685f83b0bf90
      https://github.com/quicwg/base-drafts/commit/2793b5c477c8ef4672c5d056510d685f83b0bf90
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Simplify

  Commit: a6e821584e80f2fa5efe02a21aba0926131d7a4d
      https://github.com/quicwg/base-drafts/commit/a6e821584e80f2fa5efe02a21aba0926131d7a4d
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 9a445fbf803d86857e89b07214895064d22f918b
      https://github.com/quicwg/base-drafts/commit/9a445fbf803d86857e89b07214895064d22f918b
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:

  Log Message:
  -----------
  Merge pull request #3442 from quicwg/ianswett-remove-ignoring-loss

Remove "Ignoring Loss of Undecryptable Packets"

  Commit: 059773ce1e6cb04fe9f5b2a97ff3eb292e7df1fd
      https://github.com/quicwg/base-drafts/commit/059773ce1e6cb04fe9f5b2a97ff3eb292e7df1fd
  Author: Eric Kinnear <[email-masked]>
  Date:   2020-02-10 (Mon, 10 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Clarify that you can use any issued CID at any time, even during the handshake

  Commit: 8e532b07e8f56cc31ca53a84325ba5539d5a603c
      https://github.com/quicwg/base-drafts/commit/8e532b07e8f56cc31ca53a84325ba5539d5a603c
  Author: Eric Kinnear <[email-masked]>
  Date:   2020-02-10 (Mon, 10 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Note that CIDs are valid in any packet type

  Commit: 60d963764b61248ce1fe4150086ccb09f04056ac
      https://github.com/quicwg/base-drafts/commit/60d963764b61248ce1fe4150086ccb09f04056ac
  Author: ianswett <[email-masked]>
  Date:   2020-02-10 (Mon, 10 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 9230db89612af823a292500816cd2427646debd8
      https://github.com/quicwg/base-drafts/commit/9230db89612af823a292500816cd2427646debd8
  Author: ianswett <[email-masked]>
  Date:   2020-02-10 (Mon, 10 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Eric Kinnear <[email-masked]>

  Commit: 321c59afbcf01afa80373633c9ec2058a9088cf8
      https://github.com/quicwg/base-drafts/commit/321c59afbcf01afa80373633c9ec2058a9088cf8
  Author: ianswett <[email-masked]>
  Date:   2020-02-10 (Mon, 10 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Reworked Martin's suggestion

  Commit: 359c9b3b9ecf225f8e4809297b72e43d6f3b3859
      https://github.com/quicwg/base-drafts/commit/359c9b3b9ecf225f8e4809297b72e43d6f3b3859
  Author: Mike Bishop <[email-masked]>
  Date:   2020-02-11 (Tue, 11 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Require QUICv1 (#3323)

  Commit: 17f91c31a30849dfd227582f0adf8f0831c266a3
      https://github.com/quicwg/base-drafts/commit/17f91c31a30849dfd227582f0adf8f0831c266a3
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-11 (Tue, 11 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Make host specification more precise (#3326)

This doesn't come out and say "don't use IP literals in SNI" because RFC
6066 does that amply.  Instead, it says that unless you have something
better, use SNI for domain names.  This turns out to be shorter than
what we had previously.

Closes #3324.

  Commit: 55dd0c287b2c2172314a2c1027683e990033cb12
      https://github.com/quicwg/base-drafts/commit/55dd0c287b2c2172314a2c1027683e990033cb12
  Author: Ryan Hamilton <[email-masked]>
  Date:   2020-02-11 (Tue, 11 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Remove DUPLICATE_PUSH and allow duplicate PUSH_PROMISE (#3309)

* Remove DUPLICATE_PUSH and allow duplicate PUSH_PROMISE

* wrap

* one or more

* Apply suggestions from code review

Co-Authored-By: Mike Bishop <[email-masked]>

* Update "identical" definition

* Apply suggestions from code review from Lucas

Co-Authored-By: Lucas Pardue <[email-masked]>

* Apply suggestions from Janacode review

Co-Authored-By: Jana Iyengar <[email-masked]>

* Add motivation for duplicate push ids

* Apply suggestions from mbishop code review

Co-Authored-By: Mike Bishop <[email-masked]>

* Update draft-ietf-quic-http.md per mbishop

Co-Authored-By: Mike Bishop <[email-masked]>

* Use less

Co-authored-by: Mike Bishop <[email-masked]>
Co-authored-by: Lucas Pardue <[email-masked]>
Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 367f668ee518b2be51c5661eaf17c753531cedb8
      https://github.com/quicwg/base-drafts/commit/367f668ee518b2be51c5661eaf17c753531cedb8
  Author: Mike Bishop <[email-masked]>
  Date:   2020-02-11 (Tue, 11 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Clarify and split the "malformed" definition (#3352)

* Import more RFC7540 header text

* Extraneous frames aren't malformed messages; they're worse

* Missed a multi-paragraph

* Missed some HTTP/2s

* Invalid message sequences are also malformed

* Review feedback

* Martin's feedback

* Framing errors are connection-fatal

* Reconcile with #3309

  Commit: ab8059efd222e058c7cd7335840c7a7d45c5a859
      https://github.com/quicwg/base-drafts/commit/ab8059efd222e058c7cd7335840c7a7d45c5a859
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Tweak traffic analysis text (#3411)

This text was pretty good and more or less covered the problem already,
but I think that this might be slightly better.

Closes #2905.

  Commit: 99baf78ddfd42cbd422a8a76fbdca7b3d8f8ff7c
      https://github.com/quicwg/base-drafts/commit/99baf78ddfd42cbd422a8a76fbdca7b3d8f8ff7c
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3421 from quicwg/transport/extension_dragons

Here be dragons

  Commit: 27db33c26bc5cba57ba54c15425bbb7348aac46f
      https://github.com/quicwg/base-drafts/commit/27db33c26bc5cba57ba54c15425bbb7348aac46f
  Author: ianswett <[email-masked]>
  Date:   2020-02-11 (Tue, 11 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3410 from quicwg/recovery-period-dfn

Redefine recovery period

  Commit: 9f7a4a6d07b2908c852c88106c1b2dcd404a187f
      https://github.com/quicwg/base-drafts/commit/9f7a4a6d07b2908c852c88106c1b2dcd404a187f
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3406 from hawkinsw/active_connection_id_limit_type

Fix #3405: Specify that active_connection_id_limit TP is an integer

  Commit: d105908807a6d5891ce81cdf3235bfd184322c5c
      https://github.com/quicwg/base-drafts/commit/d105908807a6d5891ce81cdf3235bfd184322c5c
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3438 from erickinnear/ek/cid_during_handshake

#3348 Clarify that you can use any issued CID at any time, even during the handshake

  Commit: 922bd62ad23517c7d6faf0397333485ec9db5da6
      https://github.com/quicwg/base-drafts/commit/922bd62ad23517c7d6faf0397333485ec9db5da6
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3301 from quicwg/jri/flow-control

Don't recommend 3 RTTs of credit (and other editorial)

  Commit: 5020e34e82d19398cb90acb3a450d6e140e4bf9a
      https://github.com/quicwg/base-drafts/commit/5020e34e82d19398cb90acb3a450d6e140e4bf9a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    R initial-protection.js
    R metadata.min.js
    A protection-samples.js

  Log Message:
  -----------
  Merge branch 'master' into close-small-initial

  Commit: f45e58d6934099faa40a8d569e50b2bcf21015db
      https://github.com/quicwg/base-drafts/commit/f45e58d6934099faa40a8d569e50b2bcf21015db
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3292 from quicwg/close-small-initial

Define stateless CONNECTION_CLOSE

  Commit: 42a4c290e6752593fead4059be6f71ef9fe0cde6
      https://github.com/quicwg/base-drafts/commit/42a4c290e6752593fead4059be6f71ef9fe0cde6
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3308 from quicwg/jri/token

Allow use of token after client address change

  Commit: 7d8e0a25b338a6d6a935b9e1ce93da82cabf0549
      https://github.com/quicwg/base-drafts/commit/7d8e0a25b338a6d6a935b9e1ce93da82cabf0549
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-13 (Thu, 13 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3424 from quicwg/ianswett-retransmit-frames-is-hard

Point out that the payload size could decrease

  Commit: 40d902ea4a4c4c2227963b629b4bdcfdde56407d
      https://github.com/quicwg/base-drafts/commit/40d902ea4a4c4c2227963b629b4bdcfdde56407d
  Author: ianswett <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3362 from quicwg/ianswett-ack-delay-exponent

Ack delays are adjusted by ack_delay_exponent

  Commit: 60d233b35db56b601859b9b633347bdec0f3c37f
      https://github.com/quicwg/base-drafts/commit/60d233b35db56b601859b9b633347bdec0f3c37f
  Author: ianswett <[email-masked]>
  Date:   2020-02-13 (Thu, 13 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Restore "Ignoring Loss of Undecryptable Packets"

Reverts #3442 manually

  Commit: 80ace942ea90075bf9174f641c1caf2b5f98b4de
      https://github.com/quicwg/base-drafts/commit/80ace942ea90075bf9174f641c1caf2b5f98b4de
  Author: ianswett <[email-masked]>
  Date:   2020-02-14 (Fri, 14 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Fix the section reference

In recovery for max_ack_delay of 0.

Came from #3459

  Commit: 86ae5b47c6f73a1356b211cf4db0a6b2dcd23d85
      https://github.com/quicwg/base-drafts/commit/86ae5b47c6f73a1356b211cf4db0a6b2dcd23d85
  Author: ianswett <[email-masked]>
  Date:   2020-02-15 (Sat, 15 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Martin's suggestion reworded

  Commit: 7f0e36ce84a70e4e22b4ab1454d05884052b68b0
      https://github.com/quicwg/base-drafts/commit/7f0e36ce84a70e4e22b4ab1454d05884052b68b0
  Author: ianswett <[email-masked]>
  Date:   2020-02-15 (Sat, 15 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add back old sentence

  Commit: 6fa5c4286429fd28fd5447936214d37d50b6f2c0
      https://github.com/quicwg/base-drafts/commit/6fa5c4286429fd28fd5447936214d37d50b6f2c0
  Author: ianswett <[email-masked]>
  Date:   2020-02-15 (Sat, 15 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Clarify adaptive loss thresholds

Fixes #3389 by clarifying that one may start with a smaller time threshold, not a smaller packet threshold.

  Commit: 275ab8038214c051d9e767d43c08a2f9b3f042bd
      https://github.com/quicwg/base-drafts/commit/275ab8038214c051d9e767d43c08a2f9b3f042bd
  Author: ianswett <[email-masked]>
  Date:   2020-02-15 (Sat, 15 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Make congestion control more self-contained

Clarifies a few points and moves the initial window recommendation from the pseudocode to the text.

Fixes #3088

  Commit: 2c5f8fcfc00e4b470564dbfc6ac4f9046d98c974
      https://github.com/quicwg/base-drafts/commit/2c5f8fcfc00e4b470564dbfc6ac4f9046d98c974
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-18 (Tue, 18 Feb 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Deadlocks, and how to avoid them (#3458)

* Deadlocks, and how to avoid them

Much belated, this attempts to address the concerns about deadlocking.
Basically, this says that you should avoid instructions that don't have
flow control credit.  It doesn't say how an encoder might learn what
limits are, but we've seen a range of tactics being used in
implementations and I don't want to get into transport API debates.

This doesn't cover the memory exhaustion attack that @kazuho suggests on
the issue; I think that is better covered more generally by the
connection-level flow control limits.

Closes #1420.

* Taking Ian's suggestion and rearranging slighty

  Commit: ef8f18206b9da3eff234e1ea01ad888f506dff2e
      https://github.com/quicwg/base-drafts/commit/ef8f18206b9da3eff234e1ea01ad888f506dff2e
  Author: ianswett <[email-masked]>
  Date:   2020-02-19 (Wed, 19 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3460 from quicwg/ianswett-ref

Fix the section reference

  Commit: 7660a51226fe6ba10b0793a88466954b0210e580
      https://github.com/quicwg/base-drafts/commit/7660a51226fe6ba10b0793a88466954b0210e580
  Author: ianswett <[email-masked]>
  Date:   2020-02-19 (Wed, 19 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Separate out initial and min congestion window

  Commit: 5f29a7d639ebb49470f324fb5bd6a9f3f5ce0279
      https://github.com/quicwg/base-drafts/commit/5f29a7d639ebb49470f324fb5bd6a9f3f5ce0279
  Author: Alessandro Ghedini <[email-masked]>
  Date:   2020-02-19 (Wed, 19 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Fix grammer: for indicate -> to indicate (#3469)

  Commit: d116e03baea1a4012f5d4ab20ee5619a7cca3d03
      https://github.com/quicwg/base-drafts/commit/d116e03baea1a4012f5d4ab20ee5619a7cca3d03
  Author: ianswett <[email-masked]>
  Date:   2020-02-20 (Thu, 20 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Add a no-op changelog for recovery since -25

  Commit: fea5aea293a99bcdd31bb70d5b18c5c298b45a98
      https://github.com/quicwg/base-drafts/commit/fea5aea293a99bcdd31bb70d5b18c5c298b45a98
  Author: ianswett <[email-masked]>
  Date:   2020-02-20 (Thu, 20 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Http since -25 changelog

  Commit: e4a4a5f5171e8a1ec2b4ca60a6fc8d3264221123
      https://github.com/quicwg/base-drafts/commit/e4a4a5f5171e8a1ec2b4ca60a6fc8d3264221123
  Author: ianswett <[email-masked]>
  Date:   2020-02-20 (Thu, 20 Feb 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  qpack changelog

  Commit: df32bc8402a900e09390e7e41c7f7cef8f8a9516
      https://github.com/quicwg/base-drafts/commit/df32bc8402a900e09390e7e41c7f7cef8f8a9516
  Author: ianswett <[email-masked]>
  Date:   2020-02-20 (Thu, 20 Feb 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  tls

  Commit: bac73750cfde8b0f73d1dc4ba5602b5968e70e8e
      https://github.com/quicwg/base-drafts/commit/bac73750cfde8b0f73d1dc4ba5602b5968e70e8e
  Author: ianswett <[email-masked]>
  Date:   2020-02-20 (Thu, 20 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #3472 from quicwg/ianswett-noop-recovery-changelog

Add a changelog for http, qpack, tls, and recovery since -25

  Commit: 8e5bbdf5e6d2a542e97a1ba54a57d5fbbcb78e19
      https://github.com/quicwg/base-drafts/commit/8e5bbdf5e6d2a542e97a1ba54a57d5fbbcb78e19
  Author: Mike Bishop <[email-masked]>
  Date:   2020-02-21 (Fri, 21 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Application-layer close (#3437)

  Commit: c1b860491d2cb6ad1c45dacd02a521988654430e
      https://github.com/quicwg/base-drafts/commit/c1b860491d2cb6ad1c45dacd02a521988654430e
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-22 (Sat, 22 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3169 from DavidSchinazi/varinttp

Make transport parameters varint

  Commit: dd3b8b0e62babfd1a647309d05d2c38f43d9fd27
      https://github.com/quicwg/base-drafts/commit/dd3b8b0e62babfd1a647309d05d2c38f43d9fd27
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-22 (Sat, 22 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add changelogs for transport -26 and all -27

  Commit: 794323875ce8dd4b408a96a88ea128e77c0999e9
      https://github.com/quicwg/base-drafts/commit/794323875ce8dd4b408a96a88ea128e77c0999e9
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-22 (Sat, 22 Feb 2020)

  Changed paths:
    M draft-ietf-quic-tls.md
    M protection-samples.js

  Log Message:
  -----------
  Update examples for -27

  Commit: b8779343f9b51d7d5435b5cd3e6d0bece516b329
      https://github.com/quicwg/base-drafts/commit/b8779343f9b51d7d5435b5cd3e6d0bece516b329
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-22 (Sat, 22 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Remove tabs from recovery draft

  Commit: 15612646cc9e36ade7043fc93c4114c0221712c7
      https://github.com/quicwg/base-drafts/commit/15612646cc9e36ade7043fc93c4114c0221712c7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-22 (Sat, 22 Feb 2020)

  Changed paths:
    M .lint.py

  Log Message:
  -----------
  Lint HTAB

I caught Ian adding these once, then failed to catch it a second time.
Fool me once...

  Commit: 6e13a0be0d540146fa663effc0d00dc058b2ea7f
      https://github.com/quicwg/base-drafts/commit/6e13a0be0d540146fa663effc0d00dc058b2ea7f
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-23 (Sun, 23 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3444 from quicwg/ianswett-idle-timeout-editorial

Idle timeout editorial fixes

  Commit: 41b3967ae5fcfe974912139de243b0d91b595082
      https://github.com/quicwg/base-drafts/commit/41b3967ae5fcfe974912139de243b0d91b595082
  Author: David Schinazi <[email-masked]>
  Date:   2020-02-22 (Sat, 22 Feb 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Update reference to RFC8740

  Commit: ea0cd3e665e5f6f1b5cbf05736a8c7c670a18844
      https://github.com/quicwg/base-drafts/commit/ea0cd3e665e5f6f1b5cbf05736a8c7c670a18844
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-23 (Sun, 23 Feb 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #3479 from DavidSchinazi/rfc8740

Update reference to RFC8740

  Commit: 96a64024ce8a2cbb5e9ab58de4180ed53166fc3a
      https://github.com/quicwg/base-drafts/commit/96a64024ce8a2cbb5e9ab58de4180ed53166fc3a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-24 (Mon, 24 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Remove tabs from recovery draft

  Commit: 69c2d95035420cc9bc596ed1d6a3373dfbe85548
      https://github.com/quicwg/base-drafts/commit/69c2d95035420cc9bc596ed1d6a3373dfbe85548
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-24 (Mon, 24 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Transport parameters can be declared unilaterally

The text already says this, but we lost track of it.  This hopefully
clarifies that.

Closes #3429.

  Commit: e28286096182fa8b57a8607da90ce73144b3f105
      https://github.com/quicwg/base-drafts/commit/e28286096182fa8b57a8607da90ce73144b3f105
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-24 (Mon, 24 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  ^^

  Commit: d38e8c0f0d7376c66a1c0c64111177879321cb50
      https://github.com/quicwg/base-drafts/commit/d38e8c0f0d7376c66a1c0c64111177879321cb50
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-24 (Mon, 24 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Scope connection IDs to the current connection

This isn't strictly necessary, as it might be implied by the definition
of a connection ID.

Closes #3484.

  Commit: f9b64c275b366d0b745340da92d0ad019d48ce25
      https://github.com/quicwg/base-drafts/commit/f9b64c275b366d0b745340da92d0ad019d48ce25
  Author: Dmitri Tikhonov <[email-masked]>
  Date:   2020-02-24 (Mon, 24 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix typo in transport draft changelog

  Commit: 2ce00d0f25b338bbc3a917805fb06d477edfacc1
      https://github.com/quicwg/base-drafts/commit/2ce00d0f25b338bbc3a917805fb06d477edfacc1
  Author: Bence Béky <[email-masked]>
  Date:   2020-02-25 (Tue, 25 Feb 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Improve language on evictable entries. (#3131)

* Improve language on blocking entries.

Remove "insertion has been acknowledged" phrase to avoid confusion
between Header Acknowledgement instructions implicitly acknowledging
encoder stream instructions and explicitly acknowledging header blocks.
Use Known Received Count instead.

Clarify that references on the encoder stream do not block an entry from
eviction.  Trivial as it is, I overlooked this at first, and added quite
some unnecessary complexity that was eventually removed at
https://quiche.googlesource.com/quiche/+/b09d44167c543b80b2c27408dd1f9df3b07c9741.
My motivation here is to help future implementers to avoid this pitfall.

Merge redundant Reference Tracking section into Blocked Dynamic Table
Insertions.

Change style of "Note" at end of section for consistency.  There were
already four sentences starting with "Note that" throughout the draft
before this PR (now there are six), but no other "Note:" markdown.

* Revert changing acknowledging insertion to comparing absolute index to Known Received Count.

* Remove unnecessary wordcrafting to blocked-insertion first paragraph.

* wordsmithing

* nit

* Minor rewording

  Commit: 9e0d7e7cd162c942e9a756f0dbf143f3ff311447
      https://github.com/quicwg/base-drafts/commit/9e0d7e7cd162c942e9a756f0dbf143f3ff311447
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-25 (Tue, 25 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3481 from dtikhonov/202002241022-fix-transport-changelog-typo

Fix typo in transport draft changelog

  Commit: 86f72a783870cb18d6ad334d4edac1f08f7a1f79
      https://github.com/quicwg/base-drafts/commit/86f72a783870cb18d6ad334d4edac1f08f7a1f79
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-25 (Tue, 25 Feb 2020)

  Changed paths:
    M .lint.py

  Log Message:
  -----------
  Merge pull request #3476 from quicwg/lint-tab

Lint tabs

  Commit: 4a202220895c6d2fb9d1cb81a2ecee6eab69cfb0
      https://github.com/quicwg/base-drafts/commit/4a202220895c6d2fb9d1cb81a2ecee6eab69cfb0
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-25 (Tue, 25 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3478 from quicwg/unilateral-tp

Unilateral Transport Parameters

  Commit: 51fdf4251200fb0daf02d2014e6be72e4683f413
      https://github.com/quicwg/base-drafts/commit/51fdf4251200fb0daf02d2014e6be72e4683f413
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-25 (Tue, 25 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3485 from quicwg/connection-scope-id

Scope connection IDs to the current connection

  Commit: d71905f1cccff82204ee98afb9c4532be3348541
      https://github.com/quicwg/base-drafts/commit/d71905f1cccff82204ee98afb9c4532be3348541
  Author: ianswett <[email-masked]>
  Date:   2020-02-25 (Tue, 25 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3462 from quicwg/ianswett-adaptive-loss

Clarify adaptive loss thresholds

  Commit: 6d5f3dab6470062bf3649872b3fe21498710dbf6
      https://github.com/quicwg/base-drafts/commit/6d5f3dab6470062bf3649872b3fe21498710dbf6
  Author: Dmitri Tikhonov <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Fix typo in HTTP draft (#3482)

  Commit: bf46a9b1e6bc81dc0cda1ef84f4c0b440702b872
      https://github.com/quicwg/base-drafts/commit/bf46a9b1e6bc81dc0cda1ef84f4c0b440702b872
  Author: Loganaden Velvindron <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  HTTP/3: Add RFC8446 reference for TLS 1.3. (#3483)

* Add RFC8446 reference

* Fix formatting reported by CircleCI

* Fix trailing whitespaces

* Use  symbolic references

Co-Authored-By: Martin Thomson <[email-masked]>

* Use symbolic reference for TFO

Co-Authored-By: Martin Thomson <[email-masked]>

* Fix line wrapping

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 55d617658fd32b95c54f27e75d1bab5739032537
      https://github.com/quicwg/base-drafts/commit/55d617658fd32b95c54f27e75d1bab5739032537
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Jana's suggestions

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 9124ab1f5e462d386eec478e3813cfccec00148a
      https://github.com/quicwg/base-drafts/commit/9124ab1f5e462d386eec478e3813cfccec00148a
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 0ce17f386f32e69c5e1abeaaddaccc273e4e110c
      https://github.com/quicwg/base-drafts/commit/0ce17f386f32e69c5e1abeaaddaccc273e4e110c
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 52649b9ecb3d4ddf3325e5db8891e7a2e6d95813
      https://github.com/quicwg/base-drafts/commit/52649b9ecb3d4ddf3325e5db8891e7a2e6d95813
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 1bc588fe9dc0227b2aeda8a6311f22ea7c2157a2
      https://github.com/quicwg/base-drafts/commit/1bc588fe9dc0227b2aeda8a6311f22ea7c2157a2
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 1a952f91d3f8d371e5fadfb2a56fb8c63ff6d5de
      https://github.com/quicwg/base-drafts/commit/1a952f91d3f8d371e5fadfb2a56fb8c63ff6d5de
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 1e60a825e535c3d1fddff7c3121b60a9bae1db40
      https://github.com/quicwg/base-drafts/commit/1e60a825e535c3d1fddff7c3121b60a9bae1db40
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: b19b38b5fcb9e4c24fbdf95328fa7f6c726a5180
      https://github.com/quicwg/base-drafts/commit/b19b38b5fcb9e4c24fbdf95328fa7f6c726a5180
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 47ba99c5eba017e53d1fd1b01cc8d6386cdffbd3
      https://github.com/quicwg/base-drafts/commit/47ba99c5eba017e53d1fd1b01cc8d6386cdffbd3
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3445 from quicwg/ianswett-why-send-handshake

Clarify client anti-amplification response

  Commit: 4fc37067f5cb3d62b59b3bd48fac75d5c09a4b36
      https://github.com/quicwg/base-drafts/commit/4fc37067f5cb3d62b59b3bd48fac75d5c09a4b36
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  MT's comments and minimize text in the appendix

  Commit: 0f2d4bff92a79bf4a385ff5992c7d6d403cbdd4f
      https://github.com/quicwg/base-drafts/commit/0f2d4bff92a79bf4a385ff5992c7d6d403cbdd4f
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 70b56f694d81348b1faabdb289050266cc46e9ba
      https://github.com/quicwg/base-drafts/commit/70b56f694d81348b1faabdb289050266cc46e9ba
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-02-27 (Thu, 27 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3463 from quicwg/ianswett-cc-self-contained

Make congestion control more self-contained

  Commit: 40ed46141174740f8f9bb9aec5fef2b03594bab3
      https://github.com/quicwg/base-drafts/commit/40ed46141174740f8f9bb9aec5fef2b03594bab3
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-02-27 (Thu, 27 Feb 2020)

  Changed paths:
    M .lint.py
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M protection-samples.js

  Log Message:
  -----------
  Merge branch 'master' into ianswett-send-one-packet

Compare: https://github.com/quicwg/base-drafts/compare/d7fabb01733c...40ed46141174